changeset 693:6fbbbd082c67

Make NATIVE_RETROFIT_CXX work for dynamic as well as static linking.
author Rob Landley <rob@landley.net>
date Thu, 02 Apr 2009 21:26:32 -0500
parents e6eccf8454ea
children 55a526672f43
files mini-native.sh
diffstat 1 files changed, 3 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/mini-native.sh	Thu Apr 02 19:59:47 2009 -0500
+++ b/mini-native.sh	Thu Apr 02 21:26:32 2009 -0500
@@ -215,7 +215,7 @@
 
 setupfor uClibc++
 CROSS= make defconfig &&
-sed -r -i 's/(UCLIBCXX_HAS_(TLS|LONG_DOUBLE))=y/# \1 is not set/' .config &&
+sed -r -i 's/(IMPORT_LIBGCC_EH|UCLIBCXX_HAS_(TLS|LONG_DOUBLE))=y/# \1 is not set/' .config &&
 sed -r -i '/UCLIBCXX_RUNTIME_PREFIX=/s/".*"/""/' .config &&
 CROSS= make oldconfig &&
 CROSS="$ARCH"- make &&
@@ -311,7 +311,8 @@
 then
   [ -z "$NATIVE_TOOLSDIR" ] && SUBDIR=usr || SUBDIR=tools
 
-  (cd "${BUILD}/mini-native-$ARCH"/$SUBDIR && tar c c++ lib/*c++* || dienow) | \
+  (cd "${BUILD}/mini-native-$ARCH"/$SUBDIR &&
+   tar c c++ lib/*c++* lib/libgcc_s.so* || dienow) |
     (tar xC "${BUILD}/cross-compiler-$ARCH" || dienow)
 
   create_stage_tarball cross-compiler